Bug 1079012 - (CVE-2014-2568) CVE-2014-2568 kernel: net: potential information leak when ubuf backed skbs are skb_zerocopy()ied
CVE-2014-2568 kernel: net: potential information leak when ubuf backed skbs a...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20140318,reported=2...
: Reopened, Security
Depends On: 1079013 1079014 1091345
Blocks: 1078818
  Show dependency treegraph
 
Reported: 2014-03-20 14:14 EDT by Petr Matousek
Modified: 2015-07-29 13:47 EDT (History)
34 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-24 12:41:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Matousek 2014-03-20 14:14:13 EDT
An information leak flaw was found in the way skb_zerocopy() copied skbs that are backed by userspace buffers (for example vhost-net and recent xen netback). Once the source skb is consumed, ubuf destructor is called and potentially releases the corresponding userspace buffers, which can then for example be repurposed, while the destination skb is still pointing to the them.

Upstream patch:
https://lkml.org/lkml/2014/3/20/421
Comment 1 Petr Matousek 2014-03-20 14:15:43 EDT
Statement:

This issue does not affect the Linux kernel packages as shipped with Red Hat Enterprise Linux 5, 6 and Red Hat Enterprise MRG 2.
Comment 3 Petr Matousek 2014-03-20 14:18:26 EDT
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1079013]
Comment 4 Murray McAllister 2014-03-20 21:26:19 EDT
MITRE assigned CVE-2014-2568 to this issue:

http://seclists.org/oss-sec/2014/q1/630
Comment 6 Fedora Update System 2014-04-04 05:46:14 EDT
kernel-3.13.8-200.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2014-04-08 20:51:46 EDT
kernel-3.13.9-100.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 errata-xmlrpc 2014-06-24 11:58:48 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 7

Via RHSA-2014:0786 https://rhn.redhat.com/errata/RHSA-2014-0786.html

Note You need to log in before you can comment on or make changes to this bug.